From 13d8570012163782061453f4ac01c9f95fa55b1f Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 16 Oct 2014 02:44:47 -0400
Subject: [PATCH] [netifd/proto/dhcp.sh] directly use signal name

[netifd/proto/dhcp.sh] directly use signal name

in proto_dhcp_renew() we call proto_kill_command, which
now supports symbolic names directly, so conversion unneeded.

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/network/config/netifd/files/lib/netifd/proto/dhcp.sh |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/package/network/config/netifd/files/lib/netifd/proto/dhcp.sh b/package/network/config/netifd/files/lib/netifd/proto/dhcp.sh
index 6668b49..b3e09e2 100755
--- a/package/network/config/netifd/files/lib/netifd/proto/dhcp.sh
+++ b/package/network/config/netifd/files/lib/netifd/proto/dhcp.sh
@@ -59,9 +59,9 @@ proto_dhcp_setup() {
 
 proto_dhcp_renew() {
 	local interface="$1"
-	# SIGUSR1 forces udhcpc to renew its lease
-	local sigusr1="$(kill -l SIGUSR1)"
-	[ -n "$sigusr1" ] && proto_kill_command "$interface" $sigusr1
+
+	# forces udhcpc to renew its lease
+	proto_kill_command "$interface" SIGUSR1
 }
 
 proto_dhcp_teardown() {
-- 
1.7.10.4

